use gtk4 as gtk;

use gtk::*;
use view::*;
use gtk::prelude::*;

#[path="ui_src/components/switch.rs"]
mod switch;

#[path="ui_src/components/wrapper.rs"]
mod wrapper;

#[path="ui_src/properties.rs"]
mod properties;

#[path="utils/parse_input.rs"]
mod parse_input;

#[path="utils/state_controller.rs"]
mod state_controller;

mod view;
mod model;
mod controller;

fn main() {
    let app = Application::builder()
        .application_id("com.github.gtk-rs.examples.basic")
        .build();

    app.connect_activate(ui);
    app.run();
}